'use strict'

const httpUtils = require('./http-utils')

const DEFAULT_DURATION = 5

exports.handleRequest = httpUtils.getHandlerForCommandWithAsset('profile', getArgs)
exports.defaultDuration = DEFAULT_DURATION

function getArgs (req) {
  const duration = req.nsStorage.qData.duration || DEFAULT_DURATION

  return {
    duration: duration * 1000 // agent expects ms
  }
}
